$TTL    604800
@       IN      SOA     mainDNS.com. admin.com. (
                  3       ; Serial
             604800     ; Refresh 
              86400     ; Retry
            2419200     ; Expire
             604800 )   ; Negative Cache TTL
;
; name servers - NS records
     IN      NS      mainDNS.com.
     IN      NS      backupDNS.com.

; name servers - A records
mainDNS.com.          IN      A       {{ inventory_hostname }}
backupDNS.com.          IN      A       {{ groups['backupHAProxy'][0] }}

; 192.168.33.0/24 - A records
catsfood.com.        IN      A       {{ hostvars[inventory_hostname]["ansible_eth1"]["ipv4"]["network"][:-1] }}20
bighead.com.        IN      A      {{ hostvars[inventory_hostname]["ansible_eth1"]["ipv4"]["network"][:-1] }}20
